(** Embedded SQL schema migrations *)
module Schema = Schema

(** Methods for managing user entries in database *)
module User = User

(** Methods for managing application approval entries in database *)
module Application = Application

(** CLI helper functions *)
module Terminal = Terminal

(** OkAuth Administrator (okauthadm) commands *)
module Administrator = Administrator

(** OkAuth Daemon (okauthd) functions *)
module Daemon = Daemon

let default_db_path = "okauth.db"

let db_path =
  Base.(Sys.getenv "DB_PATH" |> Option.value ~default:default_db_path)
